package com.lz.modules.flow.dao;
/**
* <p>
* 考评组表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.EvaluationGroup;
import com.lz.modules.flow.req.EvaluationGroupReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EvaluationGroupMapper extends BaseMapper<EvaluationGroup> {


	EvaluationGroup selectEvaluationGroupById(@Param("id")Long id);


	Long insertEvaluationGroup(EvaluationGroup evaluationGroup);


	int updateEvaluationGroupById(EvaluationGroup evaluationGroup);


	int updateCoverEvaluationGroupById(EvaluationGroup evaluationGroup);


	int deleteEvaluationGroupById(@Param("id")Long id);


	List<EvaluationGroup> seleteEvaluationGroupByReq(@Param("page") IPage page, @Param("req") EvaluationGroupReq req, @Param("list") List<Long> gIds);

    List<EvaluationGroup> selectEvaluationGroupByIds(@Param("ids") List<Long> ids);

    List<EvaluationGroup> selectEvaluationGroupByNotIds(@Param("ids") List<Long> ids);

    EvaluationGroup selectEvaluationGroupByName(@Param("name") String name);

	void deleteByCopyIds(@Param("ids") List<Long> ids,@Param("startId")Long startId);

	List<Long> selectIdsByCopyIds(@Param("copyIds")String copyIds,@Param("startId")Long startId);

	EvaluationGroup selectEvaluationGroupByCopyId(@Param("copyId")Long copyId,@Param("startId")Long startId);

}